<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [HacknetServersFormulas](./bitburner.hacknetserversformulas.md) &gt; [hashGainRate](./bitburner.hacknetserversformulas.hashgainrate.md)

## HacknetServersFormulas.hashGainRate() method

Calculate hash gain rate.

**Signature:**

```typescript
hashGainRate(level: number, ramUsed: number, maxRam: number, cores: number, mult?: number): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  level | number | level of the server. |
|  ramUsed | number | ramUsed of the server. |
|  maxRam | number | maxRam of the server. |
|  cores | number | cores of the server. |
|  mult | number | _(Optional)_ player production mult (default to 1) |

**Returns:**

number

The calculated hash gain rate.

